#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module		flickrapi
%define		egg_name	flickrapi
%define		pypi_name	flickrapi
Summary:	Python module for interfacing with the Flickr API
Name:		python-%{pypi_name}
Version:	2.2.1
Release:	8
License:	Python
Group:		Libraries/Python
URL:		http://stuvel.eu/flickrapi
Source0:	https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	d901d6ccb4bb0e990e69d9f8762084a6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
Requires:	python-requests
Requires:	python-requests-oauthlib
Requires:	python-requests-toolbelt
Requires:	python-six
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Python module for interfacing with the Flickr API.

%package -n python3-%{module}
Summary:	Python module for interfacing with the Flickr API
Requires:	python3-requests
Requires:	python3-requests-oauthlib
Requires:	python3-requests-toolbelt
Requires:	python3-six

%description -n python3-%{module}
A Python module for interfacing with the Flickr API.

%prep
%setup -q -n %{module}-%{version}
rm -r %{module}.egg-info

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/*.txt
%endif

%if %{with python3}
%py3_install
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/*.txt
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc UPGRADING.txt LICENSE.txt
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc UPGRADING.txt LICENSE.txt
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-flickrapi.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 6436b76
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 0dd7b23
- Release 7 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 21d8ff0
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> b33d090
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c49c6a0
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> c01fad2
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5af6037
- release 2 (by relup.sh)

* Sat Nov 18 2017 Elan Ruusamäe <glen@pld-linux.org> 73caf15
- new, version 2.2.1

